/* ----------------------------------- *

  xmlpp - an xml file parser and validator
  (c)2000 Michael Fink <vividos@vividos.de>
  (c)2001 Karl Pitrich	
  
  the xmlpp project source files are distributed under the General Public
  License (GPL). Read more in the file COPYING included with this package.

 * ----------------------------------- *
  project file: xmldocumentation.h

  contains the documentation for the doxygen output

 * ----------------------------------- */

/*! \mainpage
     Welcome to the xmlpp documentation pages!

    \section intro Introduction
     xmlpp is an XML Parser and Validator [at least it will be one sometime].
     xmlpp stands for "xml plus plus". It is written in C++ and uses classes
     and STL dynamic data structures. 

    \section thanks Thanks ...
     are going to:
     - Miles Elam, who gave me some ideas to improve the xmlpp project
     - Ernst Bachmann for viewing me his old ooxml project, which should
       have been almost the same as xmlpp.
     - Dr. Ing. Roland Krause for testing it under Cygwin-1.2 (Windows NT)
     - Torsten Robitzki for helping me with the (somewhat confusing) DLL linkage

    \section xmlppgpl xml license notes
     the %xmlpp project source files are distributed under the General Public
     License (GPL). Read more in the file COPYING included with this package.

*/

/*! \namespace xmlpp
     all xmlpp classes, typedefs and enums are set into the xmlpp
     namespace to avoid conflicts with other similar classes */

//! namespace of the Standard Template Library
namespace std{};

/*! \namespace std
     namespace of the Standard Template Library */

