<tagfile>
  <compound kind="file">
    <name>xmlcommon.h</name>
    <path>/home/pit/prj/xml/xmlpp/src/</path>
    <filename>xmlcommon_h.html</filename>
    <namespace>xmlpp</namespace>
    <member kind="define">
      <name>XMLPP_API</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>xmldocumentation.h</name>
    <path>/home/pit/prj/xml/xmlpp/doc/</path>
    <filename>xmldocumentation_h.html</filename>
    <namespace>xmlpp</namespace>
    <namespace>std</namespace>
  </compound>
  <compound kind="file">
    <name>xmlhelpers.h</name>
    <path>/home/pit/prj/xml/xmlpp/src/</path>
    <filename>xmlhelpers_h.html</filename>
    <namespace>xmlpp</namespace>
  </compound>
  <compound kind="file">
    <name>xmlparser.cpp</name>
    <path>/home/pit/prj/xml/xmlpp/src/</path>
    <filename>xmlparser_cpp.html</filename>
    <namespace>xmlpp</namespace>
  </compound>
  <compound kind="file">
    <name>xmlparser.h</name>
    <path>/home/pit/prj/xml/xmlpp/src/</path>
    <filename>xmlparser_h.html</filename>
    <namespace>xmlpp</namespace>
  </compound>
  <compound kind="file">
    <name>xmlpp.cpp</name>
    <path>/home/pit/prj/xml/xmlpp/src/</path>
    <filename>xmlpp_cpp.html</filename>
    <namespace>xmlpp</namespace>
    <member kind="define">
      <name>XMLERRORCODE</name>
      <anchor>a0</anchor>
      <arglist>(x, y)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>xmlpp.h</name>
    <path>/home/pit/prj/xml/xmlpp/src/</path>
    <filename>xmlpp_h.html</filename>
    <namespace>xmlpp</namespace>
  </compound>
  <compound kind="file">
    <name>xmltokenizer.cpp</name>
    <path>/home/pit/prj/xml/xmlpp/src/</path>
    <filename>xmltokenizer_cpp.html</filename>
    <namespace>xmlpp</namespace>
  </compound>
  <compound kind="file">
    <name>xmltokenizer.h</name>
    <path>/home/pit/prj/xml/xmlpp/src/</path>
    <filename>xmltokenizer_h.html</filename>
    <namespace>xmlpp</namespace>
  </compound>
  <compound kind="class">
    <name>std::map</name>
    <filename>class_std__map.html</filename>
  </compound>
  <compound kind="class">
    <name>xmlpp::XMLAttributes</name>
    <filename>class_xmlpp__xmlattributes.html</filename>
    <base>std::map</base>
    <member kind="function">
      <name>XMLAttributes</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>get</name>
      <anchor>a1</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <name>set</name>
      <anchor>a2</anchor>
      <arglist>(string key, string value)</arglist>
    </member>
    <member kind="function">
      <name>remove</name>
      <anchor>a3</anchor>
      <arglist>(const string &amp;key)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xmlpp::XMLContext</name>
    <filename>class_xmlpp__xmlcontext.html</filename>
    <member kind="function">
      <name>XMLContext</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <name>~XMLContext</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>get_entity</name>
      <anchor>a2</anchor>
      <arglist>(string &amp;entname)</arglist>
    </member>
    <member kind="function">
      <name>get_tagname</name>
      <anchor>a3</anchor>
      <arglist>(xmltagnamehandle handle)</arglist>
    </member>
    <member kind="function">
      <name>insert_tagname</name>
      <anchor>a4</anchor>
      <arglist>(string &amp;tagname)</arglist>
    </member>
    <member kind="function">
      <name>get_location</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <name>init_context</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <name>init</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>nexthandle</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>tagnames</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>entities</name>
      <anchor>n3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>location</name>
      <anchor>n4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xmlpp::XMLDocument</name>
    <filename>class_xmlpp__xmldocument.html</filename>
    <base>xmlpp::XMLNode</base>
    <member kind="function">
      <name>XMLDocument</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>XMLDocument</name>
      <anchor>a1</anchor>
      <arglist>(XMLContextPtr pctx)</arglist>
    </member>
    <member kind="function">
      <name>~XMLDocument</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>get_pi_list</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>get_dtd_list</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>add_pi</name>
      <anchor>a5</anchor>
      <arglist>(XMLNodePtr n)</arglist>
    </member>
    <member kind="function">
      <name>add_pi</name>
      <anchor>a6</anchor>
      <arglist>(XMLNode &amp;n)</arglist>
    </member>
    <member kind="function">
      <name>load</name>
      <anchor>a7</anchor>
      <arglist>(std::istream &amp;instream, XMLContextPtr &amp;ctxptr)</arglist>
    </member>
    <member kind="function">
      <name>save</name>
      <anchor>a8</anchor>
      <arglist>(std::ostream &amp;outstream)</arglist>
    </member>
    <member kind="function">
      <name>load_file</name>
      <anchor>a9</anchor>
      <arglist>(string filename=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <name>save_file</name>
      <anchor>a10</anchor>
      <arglist>(string filename=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <name>filename</name>
      <anchor>a11</anchor>
      <arglist>(string name=&quot;&quot;)</arglist>
    </member>
    <member kind="variable" protection="public">
      <name>procinstructions</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>dtdrules</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>filename_</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xmlpp::xmldtd_iterator</name>
    <filename>class_xmlpp__xmldtd_iterator.html</filename>
    <base>xmlpp::xmltokenizer</base>
    <member kind="function">
      <name>xmldtd_iterator</name>
      <anchor>a0</anchor>
      <arglist>(std::istream &amp;is, xmllocation &amp;loc)</arglist>
    </member>
    <member kind="function" protection="public">
      <name>get_next</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xmlpp::xmlerror</name>
    <filename>class_xmlpp__xmlerror.html</filename>
    <member kind="function">
      <name>xmlerror</name>
      <anchor>a0</anchor>
      <arglist>(xmlerrorcode code, string info=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <name>get_error</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <name>get_string</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <name>get_info</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <name>show_error</name>
      <anchor>a4</anchor>
      <arglist>(XMLContextPtr c)</arglist>
    </member>
    <member kind="function">
      <name>show_line</name>
      <anchor>a5</anchor>
      <arglist>(XMLContextPtr c, string filename)</arglist>
    </member>
    <member kind="variable" protection="public">
      <name>errorcode</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>errorinfo</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xmlpp::xmllocation</name>
    <filename>class_xmlpp__xmllocation.html</filename>
    <member kind="function">
      <name>xmllocation</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>get_line</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <name>get_pos</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <name>step</name>
      <anchor>a3</anchor>
      <arglist>(int chars=1)</arglist>
    </member>
    <member kind="function">
      <name>newline</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>reset</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <name>line</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>pos</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xmlpp::XMLNode</name>
    <filename>class_xmlpp__xmlnode.html</filename>
    <member kind="function">
      <name>XMLNode</name>
      <anchor>a0</anchor>
      <arglist>(XMLContextPtr pctx)</arglist>
    </member>
    <member kind="function">
      <name>XMLNode</name>
      <anchor>a1</anchor>
      <arglist>(XMLContextPtr pctx, string nname)</arglist>
    </member>
    <member kind="function">
      <name>~XMLNode</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>XMLNode</name>
      <anchor>a3</anchor>
      <arglist>(const XMLNode &amp;node)</arglist>
    </member>
    <member kind="function">
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(const XMLNode &amp;node)</arglist>
    </member>
    <member kind="function">
      <name>operator=</name>
      <anchor>a5</anchor>
      <arglist>(const XMLNodePtr n)</arglist>
    </member>
    <member kind="function">
      <name>name</name>
      <anchor>a6</anchor>
      <arglist>(string _name=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <name>type</name>
      <anchor>a7</anchor>
      <arglist>(xmlnodetype ntype=xml_nt_dummy)</arglist>
    </member>
    <member kind="function">
      <name>data</name>
      <anchor>a8</anchor>
      <arglist>(string d=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <name>get_attrmap</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>get_attr</name>
      <anchor>a10</anchor>
      <arglist>(string attr)</arglist>
    </member>
    <member kind="function">
      <name>add_attr</name>
      <anchor>a11</anchor>
      <arglist>(string attr, string value)</arglist>
    </member>
    <member kind="function">
      <name>remove_attr</name>
      <anchor>a12</anchor>
      <arglist>(string attr)</arglist>
    </member>
    <member kind="function">
      <name>replace_attr</name>
      <anchor>a13</anchor>
      <arglist>(XMLAttributes &amp;attrmap)</arglist>
    </member>
    <member kind="function">
      <name>add_child</name>
      <anchor>a14</anchor>
      <arglist>(XMLNodePtr n, bool front=false)</arglist>
    </member>
    <member kind="function">
      <name>add_child</name>
      <anchor>a15</anchor>
      <arglist>(XMLNode &amp;n, bool front=false)</arglist>
    </member>
    <member kind="function">
      <name>add_child</name>
      <anchor>a16</anchor>
      <arglist>(XMLContextPtr ctxp, string n, bool front=false)</arglist>
    </member>
    <member kind="function">
      <name>remove_child</name>
      <anchor>a17</anchor>
      <arglist>(XMLNodePtr n)</arglist>
    </member>
    <member kind="function">
      <name>children</name>
      <anchor>a18</anchor>
      <arglist>(const string &amp;=string()) const</arglist>
    </member>
    <member kind="function">
      <name>firstchild</name>
      <anchor>a19</anchor>
      <arglist>(const string &amp;n)</arglist>
    </member>
    <member kind="function">
      <name>load</name>
      <anchor>a20</anchor>
      <arglist>(std::istream &amp;instream, XMLContextPtr &amp;ctxptr)</arglist>
    </member>
    <member kind="function">
      <name>save</name>
      <anchor>a21</anchor>
      <arglist>(std::ostream &amp;outstream, int indent=0)</arglist>
    </member>
    <member kind="function" protection="public">
      <name>XMLNode</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <name>nodenamehandle</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>contextptr</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>nodetype</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>attributes</name>
      <anchor>n3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>cdata</name>
      <anchor>n4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>nodelist</name>
      <anchor>n5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xmlpp::xmlparser</name>
    <filename>class_xmlpp__xmlparser.html</filename>
    <member kind="function">
      <name>xmlparser</name>
      <anchor>a0</anchor>
      <arglist>(std::istream &amp;inputstream, xmllocation &amp;loc)</arglist>
    </member>
    <member kind="function">
      <name>parse_document</name>
      <anchor>a1</anchor>
      <arglist>(XMLDocument &amp;doc, XMLContextPtr &amp;ctxptr)</arglist>
    </member>
    <member kind="function">
      <name>parse_node</name>
      <anchor>a2</anchor>
      <arglist>(XMLNode &amp;node, XMLContextPtr &amp;ctxptr)</arglist>
    </member>
    <member kind="function" protection="public">
      <name>parse_header</name>
      <anchor>b0</anchor>
      <arglist>(XMLDocument &amp;doc, XMLContextPtr &amp;ctxptr)</arglist>
    </member>
    <member kind="function" protection="public">
      <name>parse_attributes</name>
      <anchor>b1</anchor>
      <arglist>(XMLAttributes &amp;attr)</arglist>
    </member>
    <member kind="function" protection="public">
      <name>parse_comment</name>
      <anchor>b2</anchor>
      <arglist>(XMLContextPtr &amp;ctxptr)</arglist>
    </member>
    <member kind="variable" protection="public">
      <name>instream</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>tokenizer</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xmlpp::xmlstream_iterator</name>
    <filename>class_xmlpp__xmlstream_iterator.html</filename>
    <base>xmlpp::xmltokenizer</base>
    <member kind="function">
      <name>xmlstream_iterator</name>
      <anchor>a0</anchor>
      <arglist>(std::istream &amp;is, xmllocation &amp;loc)</arglist>
    </member>
    <member kind="function">
      <name>set_cdata_mode</name>
      <anchor>a1</anchor>
      <arglist>(bool to=false)</arglist>
    </member>
    <member kind="function" protection="public">
      <name>get_next</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <name>is_literal</name>
      <anchor>b1</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function" protection="public">
      <name>is_whitespace</name>
      <anchor>b2</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function" protection="public">
      <name>is_newline</name>
      <anchor>b3</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function" protection="public">
      <name>is_stringdelimiter</name>
      <anchor>b4</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="variable" protection="public">
      <name>cdata_mode</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>putback_char</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xmlpp::xmltoken</name>
    <filename>class_xmlpp__xmltoken.html</filename>
    <member kind="function">
      <name>xmltoken</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>xmltoken</name>
      <anchor>a1</anchor>
      <arglist>(char ch)</arglist>
    </member>
    <member kind="function">
      <name>xmltoken</name>
      <anchor>a2</anchor>
      <arglist>(string &amp;str)</arglist>
    </member>
    <member kind="function">
      <name>is_literal</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>is_endofstream</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>get_literal</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>get_generic</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>operator==</name>
      <anchor>a7</anchor>
      <arglist>(char ch)</arglist>
    </member>
    <member kind="function">
      <name>operator!=</name>
      <anchor>a8</anchor>
      <arglist>(char ch)</arglist>
    </member>
    <member kind="function">
      <name>operator==</name>
      <anchor>a9</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <name>operator!=</name>
      <anchor>a10</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <name>operator=</name>
      <anchor>a11</anchor>
      <arglist>(string &amp;str)</arglist>
    </member>
    <member kind="function">
      <name>operator=</name>
      <anchor>a12</anchor>
      <arglist>(char ch)</arglist>
    </member>
    <member kind="variable" protection="public">
      <name>isliteral</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>literal</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>generic</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xmlpp::xmltokenizer</name>
    <filename>class_xmlpp__xmltokenizer.html</filename>
    <member kind="function">
      <name>xmltokenizer</name>
      <anchor>a0</anchor>
      <arglist>(std::istream &amp;is, xmllocation &amp;loc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <name>~xmltokenizer</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>operator *</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>operator-&gt;</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>operator++</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>operator++</name>
      <anchor>a5</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <name>get</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <name>put_back</name>
      <anchor>a7</anchor>
      <arglist>(xmltoken &amp;token)</arglist>
    </member>
    <member kind="function">
      <name>put_back</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public" virtualness="pure">
      <name>get_next</name>
      <anchor>b0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="variable" protection="public">
      <name>instr</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>location</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>curtoken</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <name>tokenstack</name>
      <anchor>n3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>std</name>
    <filename>namespace_std.html</filename>
  </compound>
  <compound kind="namespace">
    <name>xmlpp</name>
    <filename>namespace_xmlpp.html</filename>
    <class kind="class">xmlpp::xmllocation</class>
    <class kind="class">xmlpp::xmlparser</class>
    <class kind="class">xmlpp::xmlerror</class>
    <class kind="class">xmlpp::XMLContext</class>
    <class kind="class">xmlpp::XMLAttributes</class>
    <class kind="class">xmlpp::XMLNode</class>
    <class kind="class">xmlpp::XMLDocument</class>
    <class kind="class">xmlpp::xmltoken</class>
    <class kind="class">xmlpp::xmltokenizer</class>
    <class kind="class">xmlpp::xmlstream_iterator</class>
    <class kind="class">xmlpp::xmldtd_iterator</class>
    <member kind="typedef">
      <name>xmltagnamehandle</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <name>xmltagnamemap</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <name>xmlentitymap</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <name>XMLContextPtr</name>
      <anchor>a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <name>XMLNodePtr</name>
      <anchor>a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <name>XMLNodeList</name>
      <anchor>a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <name>XMLNodeListIterator</name>
      <anchor>a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <name>XMLNodeListConstIterator</name>
      <anchor>a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>xmlerrorcode</name>
      <anchor>a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_unknown</name>
      <anchor>a31a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_instream_error</name>
      <anchor>a31a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_opentag_expected</name>
      <anchor>a31a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_opentag_cdata_expected</name>
      <anchor>a31a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_closetag_expected</name>
      <anchor>a31a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_pi_doctype_expected</name>
      <anchor>a31a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_tagname_expected</name>
      <anchor>a31a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_closetag_slash_expected</name>
      <anchor>a31a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_tagname_close_mismatch</name>
      <anchor>a31a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_attr_equal_expected</name>
      <anchor>a31a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_attr_value_expected</name>
      <anchor>a31a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_save_invalid_nodetype</name>
      <anchor>a31a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_dummy</name>
      <anchor>a31a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_name_not_found</name>
      <anchor>a31a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_childlist_empty</name>
      <anchor>a31a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_filename_invalid</name>
      <anchor>a31a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_file_access</name>
      <anchor>a31a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>xmlnodetype</name>
      <anchor>a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_nt_node</name>
      <anchor>a32a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_nt_leaf</name>
      <anchor>a32a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_nt_document</name>
      <anchor>a32a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_nt_cdata</name>
      <anchor>a32a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>xml_nt_dummy</name>
      <anchor>a32a24</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
